Subject: Re: Solaris 2.4 devices - where is ticotsord ?

From: [email-masked] (Stephen M. Adams)
Date: Thu, 27 Apr 1995 11:32:20 +0000

Thanks to all who replied.

I now do a switch on uname -r in the setup script to cope with both 
versions.

Stephen A.
===============================================================
       Stephen M. Adams         :    [email-masked]
   Systems/Software Engineer    :    Tel: +44 1232 894334
  BT Belfast Engineering Centre :    Fax: +44 1232 894316
===============================================================

> Date: Wed, 26 Apr 1995 13:24:07 -0700
> From: [email-masked] (Mukesh Kacker)
> To: [email-masked]
> Subject: Re: Solaris 2.4 devices - where is ticotsord ?
> 
> > 
> > I have installed wu-ftpd-2.4 on both Solaris 2.3 and 2.4 machines. 
> > Everything is fine with the 2.3 installation, but I have run into a 
> > problem with Solaris 2.4.
> > 
> > The /devices/pseudo/clone@0:ticotsord device appears to be missing.
> > 
> 
> The /dev/ticotsord points to a different node in releases after Solaris 2.3
> 
> The content of the man page is right when it says /dev/ticotsord is needed
> but the script is wrong ( well it says in the comment on top that it is 
> script for SunOS 5.3 even SunOS 5.4 man page - so it is not lying :-))
> 
> Here is my suggestion to fix the script.
> 
> Remove "ticotsord" from line:
> >     for device in tcp udp ticotsord
> After the for loop with just tcp and udp
> insert the same for loop with just "ticotsord" but a different prefix:
>      prefix="/devices/pseudo/tl@0:"
>      for device in ticotsord
>      do
>         line=`ls -l ${prefix}${device} | sed -e 's/,//'`
>         major=`echo $line | awk '{print $5}'`
>         minor=`echo $line | awk '{print $6}'`
>         rm -f ${ftphome}/dev/${device}
>         mknod ${ftphome}/dev/${device} c ${major} ${minor}
>      done
> 
> 
> That should do it. I have not tried this though. So no guarantees.
> 
> -Mukesh Kacker
>